org.wildfly.swarm.mail

## Class EnhancedMailSession

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.mail.MailSession<EnhancedMailSession>
      - - org.wildfly.swarm.mail.EnhancedMailSession

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class EnhancedMailSession
      extends MailSession<EnhancedMailSession>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.mail.MailSession

      `MailSession.MailSessionResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedMailSession(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnhancedMailSession` | `smtpServer()` Mail session server
    `EnhancedMailSession` | `smtpServer(EnhancedSMTPServerConsumer consumer)`

    - ### Methods inherited from class org.wildfly.swarm.config.mail.MailSession

      `addPropertyChangeListener, custom, custom, custom, custom, customs, debug, debug, from, from, getKey, imapServer, imapServer, imapServer, imapServer, jndiName, jndiName, pop3Server, pop3Server, pop3Server, pop3Server, removePropertyChangeListener, smtpServer, smtpServer, smtpServer, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EnhancedMailSession

          public EnhancedMailSession(String key)

  - ### Method Detail

    - #### smtpServer

          public EnhancedMailSession smtpServer()

      Description copied from class: `MailSession`
      Mail session server
      Overrides:
        `smtpServer` in class `MailSession<EnhancedMailSession>`

    - #### smtpServer

          public EnhancedMailSession smtpServer(EnhancedSMTPServerConsumer consumer)

Copyright © 2017 JBoss by Red Hat. All rights reserved.